> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate team manifest for YAML

> Generate a TeamManifest for YAML export from the stored team manifest plus live members (teams_users) and managers (auth grants). read-only, does not persist membership.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/teams/{id}/generate-manifest
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: LLM Gateway Budgets
  - name: Logs
  - name: MCP Registry
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
  - name: Provider Accounts
paths:
  /api/svc/v1/teams/{id}/generate-manifest:
    get:
      tags:
        - Teams
        - public
      summary: Generate team manifest for YAML
      description: >-
        Generate a TeamManifest for YAML export from the stored team manifest
        plus live members (teams_users) and managers (auth grants). read-only,
        does not persist membership.
      operationId: Teams.generateTeamManifest
      parameters:
        - name: id
          required: true
          in: path
          description: System-generated team ID.
          schema:
            example: jqfwg345gi25n5ju2yz5iz6m
            type: string
      responses:
        '200':
          description: Team manifest with live members and managers.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateTeamManifestResponse'
        '404':
          description: Team with the provided ID was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - jwt: []
        - jwt: []
components:
  schemas:
    GenerateTeamManifestResponse:
      type: object
      properties:
        data:
          oneOf:
            - $ref: '#/components/schemas/TeamManifest'
          description: >-
            Team manifest for YAML export with live members and managers joined
            from tables/grants.
      required:
        - data
      title: GenerateTeamManifestResponse
      x-fern-type-name: GenerateTeamManifestResponse
    HttpError:
      type: object
      properties:
        statusCode:
          type: integer
          description: HTTP Status Code
        message:
          type: string
          description: Error Message
        code:
          oneOf:
            - type: integer
            - type: string
          description: Error code
          nullable: true
        details:
          type: array
          description: Error details
          items:
            type: object
          nullable: true
      required:
        - statusCode
        - message
      title: HttpError
      x-fern-type-name: HttpError
    TeamManifest:
      type: object
      required:
        - type
        - name
      properties:
        type:
          description: +value=team
          type: string
          enum:
            - team
          default: team
        name:
          description: Name of the Team
          type: string
          pattern: ^[a-zA-Z][a-zA-Z0-9_-]{1,48}[a-zA-Z0-9]$
        displayName:
          description: >-
            A human-readable label for the team in the UI. If omitted, the team
            name is shown.
          type: string
          maxLength: 128
        description:
          description: A short description of the team and its purpose.
          type: string
          maxLength: 1024
        managers:
          description: >-
            Emails of each of the user who can manage the members of the team.
            Any tenant admin is by default a team manager. Still applied from
            YAML/manifests when present; omit to leave managers unchanged.
            Dedicated manager endpoints are also available.
          type: array
          items:
            type: string
        members:
          description: >-
            Enter email of each user to add to the team. Use an empty list for a
            team with no members yet. Still applied from YAML/manifests when
            present; omit to leave membership unchanged. Dedicated member
            endpoints are also available.
          type: array
          items:
            type: string
        ownedBy:
          $ref: '#/components/schemas/TeamOwnedBy'
        tags:
          description: >-
            Key-value pairs to categorize this Team (e.g., by owner or
            environment).
          type: object
        identity_provider_mapping:
          description: Mappings from external identity provider claim value to this team
          type: array
          items:
            $ref: '#/components/schemas/IdentityProviderMapping'
      title: TeamManifest
      x-fern-type-name: TeamManifest
    TeamOwnedBy:
      description: Names of the owners that own the team
      type: object
      required:
        - account
      properties:
        account:
          description: The name of the account that owns the team
          type: string
      title: TeamOwnedBy
      x-fern-type-name: TeamOwnedBy
    IdentityProviderMapping:
      description: >-
        Map specific claim values from an external IdP token (e.g., Okta, Azure
        AD) to this agent identity.
      type: object
      required:
        - identity_provider
        - value
      properties:
        identity_provider:
          description: >-
            Must already be configured under Platform → Identity Providers.
            Choosing a SPIRE provider means this agent's credential is an
            attested JWT-SVID from its runtime.
          type: string
        value:
          description: >-
            The value that must appear in the subject claim of the IdP token for
            this mapping to match. For example, a service account email or a
            group name.
          type: string
      title: IdentityProviderMapping
      x-fern-type-name: IdentityProviderMapping
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````